/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from kspeech.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KSPEECH_STUB__
#define __KSPEECH_STUB__

#include <dcopstub.h>
#include <tqstringlist.h>
#include <dcopobject.h>


class KSpeech_stub : virtual public DCOPStub
{
public:
    KSpeech_stub( const TQCString& app, const TQCString& id );
    KSpeech_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit KSpeech_stub( const DCOPRef& ref );
    virtual bool supportsMarkup( const TQString& talker, uint markupType );
    virtual bool supportsMarkers( const TQString& talker );
    virtual ASYNC sayScreenReaderOutput( const TQString& msg, const TQString& talker );
    virtual ASYNC sayWarning( const TQString& warning, const TQString& talker );
    virtual ASYNC sayMessage( const TQString& message, const TQString& talker );
    virtual ASYNC setSentenceDelimiter( const TQString& delimiter );
    virtual uint setText( const TQString& text, const TQString& talker );
    virtual uint sayText( const TQString& text, const TQString& talker );
    virtual int appendText( const TQString& text, uint jobNum );
    virtual uint setFile( const TQString& filename, const TQString& talker, const TQString& encoding );
    virtual int getTextCount( uint jobNum );
    virtual uint getCurrentTextJob();
    virtual uint getTextJobCount();
    virtual TQString getTextJobNumbers();
    virtual int getTextJobState( uint jobNum );
    virtual TQByteArray getTextJobInfo( uint jobNum );
    virtual TQString talkerCodeToTalkerId( const TQString& talkerCode );
    virtual TQString getTextJobSentence( uint jobNum, uint seq );
    virtual bool isSpeakingText();
    virtual ASYNC removeText( uint jobNum );
    virtual ASYNC startText( uint jobNum );
    virtual ASYNC stopText( uint jobNum );
    virtual ASYNC pauseText( uint jobNum );
    virtual ASYNC resumeText( uint jobNum );
    virtual TQStringList getTalkers();
    virtual ASYNC changeTextTalker( const TQString& talker, uint jobNum );
    virtual TQString userDefaultTalker();
    virtual ASYNC moveTextLater( uint jobNum );
    virtual int jumpToTextPart( int partNum, uint jobNum );
    virtual uint moveRelTextSentence( int n, uint jobNum );
    virtual ASYNC speakClipboard();
    virtual void showDialog();
    virtual void kttsdExit();
    virtual void reinit();
    virtual TQString version();
protected:
    KSpeech_stub() : DCOPStub( never_use ) {}
};


#endif
